#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-build
Version		:	0.10.0
Release		:	14.8.0.0%{?dist}
Summary		:	simple, correct PEP517 package builder
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT and (ASL 2.0 or BSD)
URL		:	https://github.com/pypa/build/tags

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-pep517
BuildRequires	:	python-installer

%if %{with test}
BuildRequires	:	python-packaging
BuildRequires	:	python3-py-filelock
BuildRequires	:	python-wheel

BuildRequires	:	python-attrs
BuildRequires	:	python-flaky
BuildRequires	:	python-mocker
BuildRequires	:	python-sortedcontainers
BuildRequires	:	python-py
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pytest
BuildRequires	:	python3-pytest-mock
BuildRequires	:	python-pyproject-hooks
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-testpath
BuildRequires	:	python3-tomli
%endif

Requires	:	python-pyproject-hooks

Obsoletes	:	python3-%{sname}	<= %{version}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
A simple, correct PEP517 package builder.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_bindir}/pyproject-%{sname}
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
export PYTHONPATH=src
pytest -vvvvv
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
